%define gitver 20111004git

Summary: System and process monitoring utilities
Name: procps-ng
Version: 3.3.0
Release: 1.%{gitver}%{?dist}
License: GPLv2+ and LGPLv2+
Group: Applications/System
URL: http://gitorious.org/procps
Source: procps-ng-%{gitver}.tar.xz

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

BuildRequires: ncurses-devel
BuildRequires: libtool
BuildRequires: autoconf
BuildRequires: automake

%description
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, pkill, pgrep,
snice, tload, top, uptime, vmstat, w, watch and pdwx. The ps command
displays a snapshot of running processes. The top command provides
a repetitive update of the statuses of running processes. The free
command displays the amounts of free and used memory on your
system. The skill command sends a terminate command (or another
specified signal) to a specified set of processes. The snice
command is used to change the scheduling priority of specified
processes. The tload command prints a graph of the current system
load average to a specified tty. The uptime command displays the
current time, how long the system has been running, how many users
are logged on, and system load averages for the past one, five,
and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they are running. The watch
program watches a running program. The vmstat command displays
virtual memory statistics about processes, memory, paging, block
I/O, traps, and CPU activity. The pwdx command reports the current 
working directory of a process or processes.

%package devel
Summary:  System and process monitoring utilities
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
System and process monitoring utilities development headers

%prep
%setup -q -n %{name}-%{gitver}

%build
./autogen.sh
./configure --prefix=/ \
            --libdir=/%{_lib} \
            --mandir=%{_mandir} \
            --includedir=%{_includedir} \
            --disable-static

make CFLAGS="$RPM_OPT_FLAGS" W_SHOWFROM=-DW_SHOWFROM

%install
make DESTDIR=%{buildroot} install

rm -f %{buildroot}/bin/kill
rm -f %{buildroot}%{_mandir}/man1/kill.1

mkdir -p %{buildroot}/etc/sysctl.d

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc NEWS BUGS TODO
/%{_lib}/libproc-ng-%{version}.so
/bin/ps
/sbin/sysctl
/usr/bin/*
/etc/sysctl.d

%{_mandir}/man1/*
%{_mandir}/man8/*
%{_mandir}/man5/*

%exclude /%{_lib}/libproc-ng.la
%exclude /etc/sysctl.conf

%files devel
%{_includedir}/proc
/%{_lib}/libproc-ng.so

%changelog
* Tue Oct 03 2011 Jaromir Capik <jcapik@redhat.com> - 3.3.0-1.20111004git
- Initial version
